<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:strip-space elements="*"/>
<xsl:output method="html"/>


<xsl:template name="cardnav">
   <xsl:param name="splitcount"/>

   <xsl:variable name="catpos"><xsl:number count="//category"/></xsl:variable>

<table width="100%" cellspacing="0" cellpadding="0" border="0">
<tr>
<td width="70%">
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
        <td height="20">
 	<nobr>
            <font face="arial" size="3" color="#382574">
                <p align="left">
                    <xsl:value-of select="@name"/>
                </p>
            </font>
	</nobr> </td>
        </tr>
	<tr>
	<td>
          <table width="100%" height="1" bgcolor="#6865A8" cellspacing="0" cellpadding="0" border="0">
          <tr><td><img src="{concat ($respath, 'Images/pixel.gif')}"/>
          </td></tr></table>
        </td>
	</tr>
        <tr>
	<td height="20"><img src="{concat ($respath, 'Images/pixel.gif')}"/></td>
	</tr>	
        </table>
	</td>
	<td>


	<table cellspacing="0" cellpadding="0" border="0">
	<tr>
	<td>
	<img src="{concat($respath,'Images/left.gif')}"/>
	</td>
	<td>
      <a href="index.htm" target="_top"
       onMouseOver="if (loaded) img_act('a2','main'); return true"
       onMouseOut ="if (loaded) img_inact('a2'); return true">
       <img src="{concat($respath, 'Images/main.gif')}" name="a2" border="0" alt="Hauptmenu"/>
     </a>
        </td>
	<td>
       <!-- go top -->
       <a href="{concat('tcat', $catpos, ceiling(position() div $splitcount),'.htm')}"
         onMouseOver="if (loaded)img_act('a5','totop'); return true"
         onMouseOut ="if (loaded)img_inact('a5'); return true">
            <img src="{concat($respath, 'Images/top.gif')}" border="0" alt="Hoch" name="a5"/>
       </a>
        </td>
	<td>
                           <!-- link to previous card -->
       <xsl:choose>
       <xsl:when test="preceding::row">
            <a href="{concat ('card', @number - 1, '.htm')}"
            onMouseOver="if (loaded)img_act('a1','prev'); return true"
            onMouseOut= "if (loaded)img_inact('a1'); return true"         
            >
            <img border="0" src="{concat($respath, 'Images/prev.gif')}" name="a1"/>
            </a>
       </xsl:when>
       <xsl:otherwise>
            <img border="0" src="{concat($respath, 'Images/prev.gif')}"/>
       </xsl:otherwise>
       </xsl:choose>
	</td>

	<td>
       <!-- link to next card -->
       <xsl:choose>
       <xsl:when test="following::row">
            <a href="{concat ('card', @number + 1,'.htm')}"              
              onMouseOver="if (loaded) img_act('a4', 'next'); return true;"
              onMouseOut=" if (loaded) img_inact('a4'); return true">
             <img src="{concat($respath, 'Images/next.gif')}" border="0" name="a4"/>
            </a>
       </xsl:when>
       <xsl:otherwise>
            <img src="{concat($respath, 'Images/next.gif')}" border="0"/>
       </xsl:otherwise>
       </xsl:choose>
	</td>
	<td>
	<img src="{concat($respath,'Images/right.gif')}"/>
	</td>
	</tr>
	</table>
	</td>
	<td width="20%">

	<table cellspacing="0" cellpadding="0" width="100%" border="0">
	<tr>
	<td><img src="{concat($respath,'Images/clean.gif')}" name="caption"/></td>
	</tr>
	<tr>
	<td>    	
	<table width="100%" height="1" bgcolor="#6865A8" cellspacing="0" cellpadding="0" border="0">
	<tr><td><img src="{concat ($respath, 'Images/pixel.gif')}"/></td></tr></table>
	</td>
	</tr>
	<tr>
	<td><img src="{concat($respath,'Images/clean.gif')}"/></td>
	</tr>
	</table>

</td>
</tr>
</table>
<p><br/></p>
</xsl:template>

<xsl:template match="cell|linkcell" mode="card">
  <xsl:variable name="cellnum"><xsl:number count="//cell|linkcell"/></xsl:variable>
  <p>
    <xsl:value-of select="ancestor::table/colnames/colname[position()=$cellnum]"/>:
    <xsl:value-of select='.'/>
  </p>
</xsl:template>

</xsl:stylesheet>