<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>
<!--<xsl:strip-space elements='*'/>-->

<xsl:template name="makemaillist">
<xt:document href="{concat($filepath, 'maillist.htm')}" method="html">
<html>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
<script>

// check a user data
function check(field)
{
 if(field.value == "") {
    alert("Es fehlt die Eingabe des Feldes " + field.name);
    field.focus();
    return(false);
 }
 return(true);
}

function CheckAndSend(form)
{
    var ret
    if ((ret = check(form.VorName)) == false) {
        return false;
    }
    if ((ret = check(form.Name)) == false) {
        return false;
    }
    if ((ret = check(form.From)) == false) {
        return false;
    }

    form.submit();
    return true;
  
}

</script>
</head>
<xsl:element name="body" use-attribute-sets="page-style">
<table width="725" border="0" cellspacing="0" cellpadding="0" align="center">
  <tr>
    <td>
      <p align="center">
      <xsl:variable name="props"
        select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;caption&quot;]"/>
      <xsl:element name="font" use-attribute-sets="caption-font-style">
      <xsl:call-template name="apply-font-styles-using-path">
         <xsl:with-param name="path" select="$props"/>
         <xsl:with-param name="content">Mail-Liste</xsl:with-param>
      </xsl:call-template>
      </xsl:element>
      </p>
    </td>
  </tr>
  <tr>
    <td align="center">
      <xsl:variable name="props"
        select="document(&quot;styles.xml&quot;)//paramgroup[@name=&quot;rows&quot;]"/>
      <xsl:element name="font" use-attribute-sets="row-font-style">
      <xsl:call-template name="apply-font-styles-using-path">
         <xsl:with-param name="path" select="$props"/>
         <xsl:with-param name="content">Auf dieser
      Seite haben Sie die Moglichkeit sich auf unsere Mail-Liste zu setzen. Sie
      erhalten so die neuesten Kataloge per E-Mail.</xsl:with-param>
      </xsl:call-template>
      </xsl:element>
    </td>
  </tr>
  <tr>
    <td>
      <xsl:element name="form">
      <xsl:attribute name="name">mailform</xsl:attribute>
      <xsl:attribute name="method">post</xsl:attribute>
      <xsl:attribute name="action">
          <xsl:if test="$sendmethod='1'">mailto:<xsl:value-of select="$email"/></xsl:if>
	  <xsl:if test="$sendmethod='2'">http://www.jourist.de/MoneyMethod/cgi-bin/mail.php3</xsl:if>
	  <xsl:if test="$sendmethod='3'"><xsl:value-of select="server"/>/mail.php3</xsl:if>
      </xsl:attribute>
      <xsl:attribute name="onSubmit">CheckAndSend(mailform);</xsl:attribute>
      <xsl:if test="$sendmethod = '1'">
	<xsl:attribute name="enctype">text/plain</xsl:attribute>
      </xsl:if>
      <input type="hidden" name="To" value="{$email}"/>
        <table border="0" cellspacing="5" cellpadding="5" align="center">
          <tr>
            <td width="40%" align="right">
              <xsl:element name="font" use-attribute-sets="row-font-style">VorName: </xsl:element>
            </td>
            <td width="60%" align="left">
              <input type="text" name="VorName"/>
            </td>
          </tr>
          <tr>
            <td align="right">
              <xsl:element name="font" use-attribute-sets="row-font-style">Name:</xsl:element>
            </td>
            <td align="left">
              <input type="text" name="Name"/>
            </td>
          </tr>
          <tr>
            <td align="right">
              <xsl:element name="font" use-attribute-sets="row-font-style">E-Mail:</xsl:element>
            </td>
            <td align="left">
              <input type="text" name="From"/>
            </td>
          </tr>
        </table>
        <xsl:if test="$sendmethod != '1'">
		<input type="hidden" name="Location" value="{concat ($srv, &quot;main.htm&quot;)}"/>
        </xsl:if>

        <div align="center">
          <input type="submit" value=" Absenden "/>
        </div>
	</xsl:element> <!-- form -->
    </td>
  </tr>
</table>
</xsl:element>
</html>
</xt:document>
</xsl:template>

</xsl:stylesheet>
