<!-- Written by Afonin Evgeny -->

<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>

<!--<xsl:strip-space elements='*'/>-->

<xsl:include href="cardnav.xsl"/>
<xsl:include href="cardbody.xsl"/>

<xsl:template name="card">
<!-- execution context - row -->
   <xsl:param name="splitcount"/>
   <xsl:param name="preview"/>
   <xt:document href="{concat ($filepath, 'card', @number, '.htm')}" method="html">
   <html>
     <head>
        <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
        <meta name="GENERATOR" content="MoneyMethod v1.0a xBuilder for eStore"/>
        <title>Online shop</title>
     </head>
     <script>
 	var loaded=false;
     </script>
    <xsl:element name="body" use-attribute-sets="card-style">
     <!--<xsl:value-of select="ancestor::category/@name"/>-->

     <xsl:call-template name="cardnav"> 
         <xsl:with-param name="splitcount" select="$splitcount"/>
     </xsl:call-template>

     <xsl:call-template name="cardbody"/> 


  <xsl:call-template name="hline">
	<xsl:with-param name="color"><xsl:value-of select="$mpcolor3"/></xsl:with-param>
	<xsl:with-param name="width">100%</xsl:with-param>	
  </xsl:call-template>

   </xsl:element> <!-- body -->
   <SCRIPT LANGUAGE="JavaScript" src="scripts/images.js">
   <xsl:comment>scirpit</xsl:comment>
   </SCRIPT>
   <script>
      loaded=true;
   </script>
   </html>
   </xt:document>
</xsl:template>



</xsl:stylesheet>

