<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>

<xsl:strip-space elements="*"/>

<xsl:template name="break">
	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
		<xsl:attribute name="width">2</xsl:attribute>    	
	<img src="{concat($respath, 'Images/pixel.gif')}"/>
        </xsl:element>

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$mpcolor2"/></xsl:attribute>
		<xsl:attribute name="width">2</xsl:attribute>    	
	<img src="{concat($respath, 'Images/pixel.gif')}"/>
        </xsl:element>

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
		<xsl:attribute name="width">2</xsl:attribute>    	
	<img src="{concat($respath, 'Images/pixel.gif')}"/>	
        </xsl:element>
</xsl:template>

<xsl:template name="mainlinktab">

<xt:document href="{concat($filepath, 'linktab.htm')}">
<html>

<xsl:element name="body" use-attribute-sets="page-style">
<xsl:attribute name="topmargin">0</xsl:attribute>
<xsl:call-template name="hline">
<xsl:with-param name="color"><xsl:value-of select="$mpcolor1"/></xsl:with-param>
<xsl:with-param name="width">100%</xsl:with-param>
</xsl:call-template>
<font face="arial">
<xsl:element name="table">
<xsl:attribute name="bgcolor"><xsl:value-of select="$mpcolor1"/></xsl:attribute>
<xsl:attribute name="border">0</xsl:attribute>
<xsl:attribute name="cellspacing">0</xsl:attribute> 
<xsl:attribute name="cellpadding">0</xsl:attribute>
<xsl:attribute name="width">100%</xsl:attribute>
<tr>
<td align="center">
<table bgcolor="#eeeeee" border="0" cellspacing="0" cellpadding="1" align="center">
  <tr>
	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$mpcolor2"/></xsl:attribute>
		<xsl:attribute name="width">2</xsl:attribute>    	
	<img src="{concat($respath, 'Images/pixel.gif')}"/>
        </xsl:element>

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
		<xsl:attribute name="width">2</xsl:attribute>    	
	<img src="{concat($respath, 'Images/pixel.gif')}"/>
        </xsl:element>

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
	<xsl:element name="font">
          <xsl:attribute name="size">1</xsl:attribute><a href="main.htm" target="main">Startseite</a>
        </xsl:element> <!-- font -->
        </xsl:element> <!-- td -->

	<xsl:call-template name="break"/>         

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
	<xsl:element name="font">
          <xsl:attribute name="size">1</xsl:attribute><a href="maillist.htm" target="main">Mail-Liste</a>
        </xsl:element> <!-- font -->
        </xsl:element> <!-- td -->

	<xsl:call-template name="break"/>

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
	<xsl:element name="font">
          <xsl:attribute name="size">1</xsl:attribute><a href="store.htm" target="_top">Einkaufen</a>
        </xsl:element> <!-- font -->
        </xsl:element> <!-- td -->

	<xsl:call-template name="break"/>

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
	<xsl:element name="font">
          <xsl:attribute name="size">1</xsl:attribute><a href="mailto:{$email}">E-mail</a>
        </xsl:element> <!-- font -->
                      
	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$pagebgcolor"/></xsl:attribute>
		<xsl:attribute name="width">2</xsl:attribute>    	
	<img src="{concat($respath, 'Images/pixel.gif')}"/>
        </xsl:element>

	<xsl:element name="td">
 		<xsl:attribute name="bgcolor"><xsl:value-of select="$mpcolor2"/></xsl:attribute>
		<xsl:attribute name="width">2</xsl:attribute>    	
	<img src="{concat($respath, 'Images/pixel.gif')}"/>
        </xsl:element>

        </xsl:element> <!-- td -->

  </tr>
</table>
</td>
</tr>
</xsl:element> <!-- table -->
</font>
<xsl:call-template name="hline">                  
<xsl:with-param name="color"><xsl:value-of select="$mpcolor1"/></xsl:with-param>
<xsl:with-param name="width">100%</xsl:with-param>
</xsl:call-template>
</xsl:element>
</html>
</xt:document>
</xsl:template>

</xsl:stylesheet>