<!-- Written by Afonin Evgeny -->
<!-- Table "navigation" controls template -->

<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xt="http://www.jclark.com/xt">
<xsl:output method="html"/>
<!--<xsl:strip-space elements='*'/>-->

<xsl:template name="tabnavi">
<xsl:param name="tabnum"/>
<xsl:param name="count"/>
<xsl:param name="splitcount"/>
<!-- execution context - category -->

<!--        <p align="left"><a href="orderlist.htm">Proceed with order</a></p>
        <p align="right" hspace="20">-->
<table width="100%" cellspacing="0" cellpadding="0" border="0">
<tr>
<td width="70%">
        <table cellspacing="0" cellpadding="0" border="0" width="100%">
        <tr>
        <td height="20">
 	<nobr>
            <font face="arial" size="3" color="##382574">
                <p align="left">
                    <xsl:value-of select="@name"/>
                </p>
            </font>
	</nobr> </td>
        </tr>
	<tr>
	<td>
          <table width="100%" height="1" bgcolor="#6865A8" cellspacing="0" cellpadding="0" border="0">
          <tr><td><img src="{concat ($respath, 'Images/pixel.gif')}"/>
          </td></tr></table>
        </td>
	</tr>
        <tr>
	<td height="20"><img src="{concat ($respath, 'Images/pixel.gif')}"/></td>
	</tr>	
        </table>
	</td>
	<td>

	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
	<td>
	<img src="{concat($respath,'Images/left.gif')}"/>
	</td>
	<td>
        <a href="index.htm" target="_top"            
           onmouseover="if (loaded) img_act('a2', 'main');  return true;"
           onmouseout ="if (loaded) img_inact('a2'); return true;">
         <img src="{concat($respath, 'Images/main.gif')}" name="a2" border="0" alt="Hauptmenu"/>
        </a>
	</td>
	<td>
        <a href="orderlist.htm"
             onmouseover = "if (loaded) img_act('a3','best'); return true;"
             onmouseout  = "if (loaded) img_inact('a3'); return true;">
           <img src="{concat($respath, 'Images/buy.gif')}" name="a3" border="0" alt="Bestellen"/>
        </a>
        </td>

	<td>
                        <!-- start of tables sequence -->
        <xsl:choose>
        <xsl:when test="$tabnum>1">
                <a href="{concat ('tcat', position(), number($tabnum)-1,'.htm')}"
                 onmouseover = "if (loaded) img_act('a1','prev'); return true;"
                 onmouseout  = "if (loaded) img_inact('a1'); return true;">
                <img src="{concat($respath, 'Images/prev.gif')}" border="0" alt="Vorher" name="a1"/>
                </a>
        </xsl:when>
                        <!-- link to previous category -->
        <xsl:when test="preceding-sibling::category and $tabnum=1">
                <a href="{concat ('tcat', position()-1, ceiling( count(preceding-sibling::category[1]/row) div $splitcount), '.htm')}"
                 onmouseover = "if (loaded) img_act('a1','prev'); return true;"
                 onmouseout  = "if (loaded) img_inact('a1'); return true;">
                <img src="{concat($respath, 'Images/prev.gif')}" border="0" alt="Vorher" name="a1"/>
                </a>
        </xsl:when>
       <xsl:otherwise>
                  <img src="{concat($respath, 'Images/prev.gif')}" border="0" alt="Vorher" name="a1"/>
       </xsl:otherwise>
  	</xsl:choose>
	</td>
	<td>

                        <!-- link to next table in category -->
        <xsl:choose>
        <xsl:when test="count(ancestor-or-self::category/row)>=$count+$splitcount">
                <a href="{concat ('tcat', position(), number($tabnum)+1,'.htm')}"
                 onmouseover = "if (loaded) img_act('a4','next'); return true;"
                 onmouseout  = "if (loaded) img_inact('a4'); return true;">
                <img src="{concat($respath, 'Images/next.gif')}" border="0" alt="Weiter" name="a4"/>
                </a>
        </xsl:when>
                        <!-- link to next category -->
        <xsl:when test="$count+$splitcount>count(ancestor-or-self::category/row) and following-sibling::category">
                <a href="{concat ('tcat', position()+1, '1.htm')}"
                 onmouseover = "if (loaded) img_act('a4','next'); return true;"
                 onmouseout  = "if (loaded) img_inact('a4'); return true;">
                <img src="{concat($respath, 'Images/next.gif')}" border="0" alt="Weiter" name="a4"/>
                </a>
        </xsl:when>

        <xsl:otherwise>
                <img src="{concat($respath, 'Images/next.gif')}" border="0" alt="Weiter"/>
        </xsl:otherwise>
        </xsl:choose>
	</td>
	<td>
	<img src="{concat($respath,'Images/right.gif')}"/>
	</td>
	</tr>
	</table>

	</td>
	<td width="20%">

	<table cellspacing="0" cellpadding="0" width="100%" border="0">
	<tr>
	<td><img src="{concat($respath,'Images/clean.gif')}" name="caption"/></td>
	</tr>
	<tr>
	<td>    	
	<table width="100%" height="1" bgcolor="#6865A8" cellspacing="0" cellpadding="0" border="0">
	<tr><td><img src="{concat ($respath, 'Images/pixel.gif')}"/></td></tr></table>
	</td>
	</tr>
	<tr>
	<td><img src="{concat($respath,'Images/clean.gif')}"/></td>
	</tr>
</table>

</td>
</tr>
</table>
<p>
<br/>
</p>
</xsl:template>

</xsl:stylesheet>
